Why you may face an incompatibility error while trying to update BlueStacks 5

Why can I not update to the latest version?

If you see a message, such as the one shown below, while trying to update BlueStacks 5, this could be because of specific system limitations, such as:

  • A 32-bit version of Windows is being used
  • Virtualization is either disabled or not supported on your desktop/laptop

Screenshot_83.png


How can I resolve this?

If you're using a 32-bit version of Windows, you can resolve this error by upgrading to a 64-bit version of Windows if your hardware supports it.

If Virtualization is disabled on your desktop/laptop, this can cause a compatibility issue with the latest version of BlueStacks 5.

To resolve this, you can enable Virtualization by following the steps in the relevant article below:


Thank you for choosing BlueStacks. We hope you enjoy using it. If you have any further questions, please contact us at support@bluestacks.com. Happy Gaming!

Was this article helpful?
3 out of 6 found this helpful
Reach out to us on Reddit (Join Reddit) or Discord (Join Discord) or at support@bluestacks.com with your questions.